Index: chan_sip.c
===================================================================
--- chan_sip.c	(revision 19888)
+++ chan_sip.c	(working copy)
@@ -2950,7 +2950,7 @@
 {
 	struct ast_channel *tmp;
 	struct ast_variable *v = NULL;
-	int fmt;
+	int fmt = 0;
 	int what;
 	
 	ast_mutex_unlock(&i->lock);
@@ -2970,8 +2970,11 @@
 		what = i->capability;
 	else
 		what = global_capability;
-	tmp->nativeformats = ast_codec_choose(&i->prefs, what, 1) | (i->jointcapability & AST_FORMAT_VIDEO_MASK);
-	fmt = ast_best_codec(tmp->nativeformats);
+	tmp->nativeformats = (i->jointcapability & AST_FORMAT_VIDEO_MASK);
+	if (what)
+		tmp->nativeformats |= ast_codec_choose(&i->prefs, what, 1);
+	if (tmp->nativeformats)
+		fmt = ast_best_codec(tmp->nativeformats);
 
 	if (title)
 		ast_string_field_build(tmp, name, "SIP/%s-%04lx", title, ast_random() & 0xffff);
